Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class ConsumeTheOnlyCM

    java.lang.Object
      ix.ip2.ConsumeTheOnlyCM

All Implemented Interfaces:
  ConstraintManager

    public class ConsumeTheOnlyCM

extends java.lang.Object
implements ConstraintManager

Manager for "consume-the-only" constraints.

Field Summary
`(package private) ContextHashMap` | `useTable`

Constructor Summary
`ConsumeTheOnlyCM()`

Method Summary
`void` | `addConstraint(Constraint c)`
`void` | `addConstraint(PNode node, Constraint c)`
`void` | `clear()`
`void` | `evalAtBegin(PNodeEnd ne, Constraint c)`
`void` | `evalAtEnd(PNodeEnd ne, Constraint c)`
`boolean` | `mightInteract(PNodeEnd ne1, Constraint c1, PNodeEnd ne2, Constraint c2)`
`void` | `registerWith(ConstraintManagerRegistry r)`
`void` | `reset()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### useTable

    ContextHashMap useTable

Constructor Detail

### ConsumeTheOnlyCM

    public ConsumeTheOnlyCM()

Method Detail

### registerWith

    public void registerWith(ConstraintManagerRegistry r)

  Specified by:
    `registerWith` in interface `ConstraintManager`

### reset

    public void reset()

  Specified by:
    `reset` in interface `ConstraintManager`

### clear

    public void clear()

  Specified by:
    `clear` in interface `ConstraintManager`

### addConstraint

    public void addConstraint(Constraint c)

  Specified by:
    `addConstraint` in interface `ConstraintManager`
  Throws:
    `java.lang.UnsupportedOperationException` - if called.

### addConstraint

    public void addConstraint(PNode node,
                              Constraint c)

  Specified by:
    `addConstraint` in interface `ConstraintManager`

### evalAtBegin

    public void evalAtBegin(PNodeEnd ne,
                            Constraint c)

  Specified by:
    `evalAtBegin` in interface `ConstraintManager`

### evalAtEnd

    public void evalAtEnd(PNodeEnd ne,
                          Constraint c)

  Specified by:
    `evalAtEnd` in interface `ConstraintManager`

### mightInteract

    public boolean mightInteract(PNodeEnd ne1,
                                 Constraint c1,
                                 PNodeEnd ne2,
                                 Constraint c2)

  Specified by:
    `mightInteract` in interface `ConstraintManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD